[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Little FAQ for users and maintainers

<Mail cross-postoned, please, remove the debian-devel list before sending

Many time, apt-get break on conflicting files. It happens me often
on unstable but also when upgrading from slink to potato. Here some
recommendations to help users resolved the conflicts and also to
help maintainers do the Right Things (TM) the first time.

Should we consider building a debian-mentors FAQ for things like this?


For users:

When a conflict occurs, try to run apt-get -f install several time
until all conflict are removed or no more packages can be install
without conflicting somewhere else. Sometime it takes more than one
turn to apt-get to correct those packages.

Also, take in note the conflicting packages and report them to the BTS
under the package one you was trying to install or upgrade. This will
help to improve the overall quality of Debian.

For maintainers:

Moving files from one package to another.

Supposed that you move a file from Package foo to Package bar. If Package
foo still existed, Package bar should included a Conflicts reading this

Conflicts: foo (<< new-version)

where new-version is the version of the Package foo who has the
conflicting file removed.

If foo is removed, you should change it to
Conflicts: foo
Conflicts: foo (<= old-version)
where old-version is the latest version of foo. This last one don't
handle local package in the form of foo old-version.1 (that's the
recommended way to do local NMU) and that's why it should be avoid
when possible.

Fabien Ninoles        Chevalier servant de la Dame Catherine des Rosiers
aka Corbeau aka le Veneur Gris               Debian GNU/Linux maintainer
E-mail:                                                    fab@tzone.org
WebPage:                                    http://www.tzone.org/~fabien
RSA PGP KEY [E3723845]: 1C C1 4F A6 EE E5 4D 99  4F 80 2D 2D 1F 85 C1 70

Reply to: